Compile of Project Command Line problem

Ask general questions here.
Mayra
Posts: 68
Joined: Mon Dec 16, 2013 5:27 am

Compile of Project Command Line problem

Post by Mayra » Tue Mar 04, 2014 7:36 pm

I looked at http://www.ranorex.com/forum/how-to-bui ... t1888.html
and I could not get a resolution to a compile issue I am experiencing.
Error: Only one project can be specified.
Could you give me an example on how to compile the project?
I am trying to compile in a different system from where I am developing tests. Do I need to copy entire solution?
Thanks.

Mayra
Posts: 68
Joined: Mon Dec 16, 2013 5:27 am

Re: Compile of Project Command Line problem

Post by Mayra » Tue Mar 04, 2014 8:36 pm

OK, I see what the problem with the compile is. A " " space.

However, what version should I use to compile the project? There are several versions in my installation. i SEE Ranorex UI Targets Framework 3.5. When I look at the Runtime in the Config File says <supportedRuntime version="v4.0"/.

Also, please mention which directory(ies) are to be copied over for compilation.

Thanks.

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: Compile of Project Command Line problem

Post by Support Team » Fri Mar 07, 2014 10:15 am

Hello Mayra,

I suggest building the project in that Framework which is needed. Generally that’s .NET-Framework 3.5. If your solution needs any other namespaces or classes which are available within .NET -Framework 4, than please build your solution with .NET-Framework 4.

Regards,
Robert
.
Image